Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.ox.record
Class XMLRecord

`java.lang.Object
oracle.toplink.publicinterface.DatabaseRow
oracle.toplink.ox.record.XMLRecord`

All Implemented Interfaces:
  java.lang.Cloneable, java.util.Map, Record, java.io.Serializable

Direct Known Subclasses:
  DOMRecord, MarshalRecord, UnmarshalRecord

public abstract class XMLRecord
extends DatabaseRow

PUBLIC: Provides a DatabaseRow/Map API on an XML DOM element.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.util.Map
`java.util.Map.Entry`

Constructor Summary
`XMLRecord()`

Method Summary
`abstract void` | `clear()` PUBLIC: Clear the sub-nodes of the DOM.
`boolean` | `contains(java.lang.Object value)` PUBLIC: Check if the value is contained in the row.
`abstract org.w3c.dom.Document` | `getDocument()` PUBLIC: Return the document.
`abstract org.w3c.dom.Element` | `getDOM()` PUBLIC: Return the DOM.
`abstract java.lang.String` | `getLocalName()` PUBLIC: Get the local name of the context root element.
`abstract java.lang.String` | `getNamespaceURI()` PUBLIC: Get the namespace URI for the context root element.
`java.lang.String` | `resolveNamespacePrefix(java.lang.String prefix)`
`abstract java.lang.String` | `transformToXML()` Return the XML string representation of the DOM.

Methods inherited from class oracle.toplink.publicinterface.DatabaseRow
`containsKey, containsKey, containsValue, elements, entrySet, get, get, getValues, isEmpty, keys, keySet, put, put, putAll, size, values`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.Map
`equals, hashCode`

Constructor Detail

### XMLRecord

    public XMLRecord()

Method Detail

### getLocalName

    public abstract java.lang.String getLocalName()

  PUBLIC: Get the local name of the context root element.

### getNamespaceURI

    public abstract java.lang.String getNamespaceURI()

  PUBLIC: Get the namespace URI for the context root element.

### clear

    public abstract void clear()

  PUBLIC: Clear the sub-nodes of the DOM.
  Specified by:
    `clear` in interface `java.util.Map`
  Overrides:
    `clear` in class `DatabaseRow`

### getDocument

    public abstract org.w3c.dom.Document getDocument()

  PUBLIC: Return the document.

### contains

    public boolean contains(java.lang.Object value)

  PUBLIC: Check if the value is contained in the row.
  Overrides:
    `contains` in class `DatabaseRow`

### getDOM

    public abstract org.w3c.dom.Element getDOM()

  PUBLIC: Return the DOM.

### transformToXML

    public abstract java.lang.String transformToXML()

  Return the XML string representation of the DOM.

### resolveNamespacePrefix

    public java.lang.String resolveNamespacePrefix(java.lang.String prefix)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD